J2ME con SQLite

Hola muy buenas tardes...

Tengo un problema con una aplicación movil en J2ME.

La cual ya tengo diseñada pero necesito hacer conexion hacia una Base de datos o un archivo de SQLite

La pregunta es ¿Como hacer la Conexion de este archivo con un programa J2ME?

Espero me puedan solucionar este problema

Un saludo

Opciones de visualización de comentarios

Seleccione la forma que prefiera para mostrar los comentarios y haga clic en «Guardar las opciones» para activar los cambios.
Imagen de 1a1iux

SQLite no es una biblioteca estándar en J2ME

Sólo algunas cuantas JVM en unos cuantos teléfonos soportan SQLite. Si pretendes que tu aplicación sea más o menos estándar, compatible con muchos dispositivos, la opción son los Record Store / Persistence Store, nada de JDBC, ni de bases de datos relacionales.

Si conoces los dispositivos de tus potenciales clientes revisa la documentación de Java/J2ME del fabricante para conocer del posible soporte de SQLite.

Por ejemplo, la implementación de Java de BlackBerry soporta SQLite únicamente a partir de su versión 5.0.

http://docs.blackberry.com/en/developers/deliverables/11953/Application_...

Sale y vale
Bye

J2ME y SQLite

Muchas gracias por tu respuesta... pues leyendo mas sobre el asunto me pude dar cuenta de eso que no habia un soporte para J2ME ... y ahorita estoy probando justamente la version 5 del Blackberry JDE ... aunque no estoy acostumbrado a programar interfaces visuales en java a patin pues algun dia se tenia que practicar >.< ... UN SALUDO

Imagen de 1a1iux

JDE BlackBerry

Porqué estás probando el BlackBerry JDE? pura casualidad? o tu aplicación está pensada para estos dispositivos?

La aplicacion se queria usar

La aplicacion se queria usar para cualquier tipo de dispositivos que soporten Java... aunque la empresa tan solo cuente con dispositivos BB ... pero mi limitante en el desarrollo de la aplicación es que los datos los quieren usar con el SQLite... y pues estaba buscando alguna forma de hacerlo con NetBeans ya que estoy familiarizado con el... Y pues finalmente tendré que reducir la compatibilidad a puras BBs gracias a esa espeficicación. de todos modos muchas gracias por tu explicación

Imagen de 1a1iux

No uses el BlackBerry JDE

Bueno, si ya está acotado el problema a los dispositivos BB, un par de comentarios.

Cómo ya leíste, SQLite se soporta a partir de la versión 5.0. Te tienes que asegurar que los dispositivos en los que instales tu aplicación tengan esta versión. Yo creo que la mayoría tendrán una versión 4.6 o 4.7.

La otra,

Te recomiendo desarrollar con Eclipse en lugar del JDE. Para mi es mejor. Si te alcanza el tiempo, pues prueba con los dos y tu decide.

Sale y vale
Byte

RE: No uses el BlackBerry JDE

Muchas gracias por la respuesta... la verdad intente primero con el eclipce pero no entendi mucho en esa plataforma... no tendras por ahi direcciones de algun buen tutorial sobre ese? ... y si es asi me los podrias proporcionar... Un saludo

Imagen de 1a1iux

Sobre eclipse

No, la verdad no tengo a la mano algún buen tutorial de Eclipse (vamos, ni siquiera me acuerdo como es que empecé a utilizar esta herramienta), pero por allí en Internet ha de haber algunos cuantos cientos.

Recuerdo, y comparto tu opinión, el inicio con Eclipse puede considerarse un tanto rudo/complicado/difícil,..

PERO,..

Te sugiero y te animo a que le dediques un rato a aprenderlo y verás que en poco tiempo ya estás haciendo y desarrollando tus primeras aplicaciones.

Sale y vale
Byte